#ifndef _CREATETRIGGERS_H
#define _CREATETRIGGERS_H
///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

#define COL_TYPE_TEXT  35
#define COL_TYPE_NTEXT 99
#define COL_TYPE_IMAGE 34

///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

bool CreateTriggerTable(char *sDrv, char *sSrv, char *sUser, char *sPass, char *sDB, char *sDBO, char *sTable);
bool DropTriggers(CSQL *lpCSQL, char *sTable);
bool DropTables(CSQL *lpCSQL, char *sDB, char *sDBO, char *sTable);
bool CreateTables(CSQL *lpCSQL, char *sDB, char *sDBO, char *sTable);
bool CreateTriggerTable(CSQL *lpCSQL, char *sDB, char *sDBO, char *sTable);
bool GenSQLScriptsForOperation(CSQL *lpCSQL);

char **GetPrimaryKeys(CSQL *pcSQL, char *sTableName, int *iNumOfKeys);
void FreePrimaryKeys(char **sOutKeys, int iKeys);

//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
#endif
