CREATE TABLE [SQLExch_Statements_Core] (
	[ID] [decimal](18, 0) IDENTITY (1, 1) NOT NULL ,
	[Identifier] [varchar] (30) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL ,
	[Statement] [varchar] (2048) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL ,
	[OnSuccess] [varchar] (1024) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[OnFailure] [varchar] (1024) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[ImportTable] [varchar] (255) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL ,
	[Sequence] [int] NOT NULL ,
	[Active] [bit] NULL ,
	[Comments] [varchar] (500) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[Dirty] [bit] NULL ,
	CONSTRAINT [PK_SQLExch_Statements_Core] PRIMARY KEY  CLUSTERED 
	(
		[Identifier],
		[ImportTable]
	)  ON [PRIMARY] 
) ON [PRIMARY]